i2o_iop_clear
Prev | I2O message devices | Next

## Name

i2o_iop_clear — Bring I2O controller into HOLD state

## Synopsis

`int i2o_iop_clear (` | struct i2o_controller * | c`)`;

## Arguments

`c`

  controller

## Description

Clear an IOP to HOLD state, ie. terminate external operations, clear all input queues and prepare for a system restart. IOP's internal operation continues normally and the outbound queue is alive. The IOP is not expected to rebuild its LCT.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_iop_enable_all | Home | i2o_iop_init_outbound_queue